### Method

# Soup MessageHeaders header_contains

#### Declaration [src]

    gboolean
    soup_message_headers_header_contains (
      SoupMessageHeaders* hdrs,
      const char* name,
      const char* token
    )

#### Description [src]

Checks whether the list-valued header `name` is present in `hdrs`, and contains a case-insensitive match for `token`.

(If `name` is present in `hdrs`, then this is equivalent to calling `soup_header_contains()` on its value.)

#### Parameters

`name` | `const char*`
| Header name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`token` | `const char*`
| Token to look for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the header is present and contains `token`, `FALSE` otherwise.